---
lang: en
title: 'API docs: context.bindingspec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingSpec](./context.bindingspec.md)

## BindingSpec type

Specification of parameters for `@injectable()`

**Signature:**

```typescript
export type BindingSpec<T = unknown> = BindingTemplate<T> | BindingScopeAndTags;
```
**References:** [BindingTemplate](./context.bindingtemplate.md)<!-- -->, [BindingScopeAndTags](./context.bindingscopeandtags.md)


